Cloud Pak for Data

 View Only
  • 1.  Error installing CP4D 4.5 version on OpenShift

    Posted 22 days ago
    Edited by Kristen Park 20 days ago
    Hi, I'm trying to install cp4d 4.5 version on bare metal.
    but An error occurs when the command below is executed.
    cpd-cli manage login-to-ocp \
    --username=${OCP_USERNAME} \
    --password=${OCP_PASSWORD} \
    --server=${OCP_URL}​

    It seems to be caused by not finding the OCP connection address. Is there anything I need to configure separately to use this command?


    ------------------------------
    Dong Lee
    ------------------------------


  • 2.  RE: Error installing CP4D 4.5 version on OpenShift

    Posted 17 days ago
    I solve the problem.
    I added the host information on the localhost and restart the podman. It worked the olm-utils-play found the ocp url.

    ------------------------------
    Dong Lee
    ------------------------------



  • 3.  RE: Error installing CP4D 4.5 version on OpenShift

    Posted 16 days ago
    Hi, try this procedure it worked for me.

    • docker ps
    • look for "icr.io/cpopen/cpd/olm-utils:latest"
    • docker kill ${PROCESS_ID} 
    • rm -rf cpd-cli-workspace/logs/
    • rm -rf cpd-cli-workspace/olm-utils-workspace/ 
    • source ./cpd-vars.sh 
    cpd-cli manage login-to-ocp
    \--token=${OCP_TOKEN}
    \--server=${OCP_URL}

    Regards Per

    ------------------------------
    Per Løgager
    ------------------------------